import { IHypernetCore, GatewayUrl, IUIData, ActiveStateChannel } from "@hypernetlabs/objects";
import { IHypernetWebUI } from "@hypernetlabs/web-ui";
import { ResultAsync } from "neverthrow";
import HypernetIFrameProxy from "../../implementations/proxy/HypernetIFrameProxy";
import { IHypernetWebIntegration } from "../../interfaces/app/IHypernetWebIntegration";
export default class HypernetWebIntegration implements IHypernetWebIntegration {
    private static instance;
    protected iframeURL: string;
    protected governanceChainId: number;
    protected debug: boolean;
    protected currentGatewayUrl: GatewayUrl | undefined | null;
    protected getReadyTimeout: number;
    protected getReadyResult: ResultAsync<IHypernetCore, Error> | undefined;
    protected getReadyResolved: boolean;
    protected selectedStateChannel: ActiveStateChannel;
    webUIClient: IHypernetWebUI;
    core: HypernetIFrameProxy;
    UIData: IUIData;
    constructor(iframeURL: string | null, governanceChainId: number | null, debug: boolean | null);
    getReady(): ResultAsync<IHypernetCore, Error>;
    displayGatewayIFrame(gatewayUrl: GatewayUrl): void;
    closeGatewayIFrame(gatewayUrl: GatewayUrl): void;
    private _prepareIFrameContainer;
}
//# sourceMappingURL=HypernetWebIntegration.d.ts.map